## org.eclipse.xsd
Interface XSDRepeatableFacet

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDConstrainingFacet, XSDFacet

All Known Subinterfaces:
  XSDEnumerationFacet, XSDPatternFacet

All Known Implementing Classes:
  XSDEnumerationFacetImpl, XSDPatternFacetImpl, XSDRepeatableFacetImpl

    public interface XSDRepeatableFacet

extends XSDConstrainingFacet

A representation of the model object 'Repeatable Facet'.

Both `pattern` and `enumeration` facets may be repeated in the concrete syntax and yet they are merged into a single component in the infoset model. As a result, instances of these two facets are synthesized by `XSDSimpleTypeDefinition.getEffectivePatternFacet()` and `XSDSimpleTypeDefinition.getEffectiveEnumerationFacet()`.

The following features are supported:

- `Annotations`

See Also:
  `XSDPackage.getXSDRepeatableFacet()`

Method Summary
`EList<XSDAnnotation>` `getAnnotations()` Returns the value of the 'Annotations' reference list.

Methods inherited from interface org.eclipse.xsd.XSDConstrainingFacet
`isConstraintSatisfied`

Methods inherited from interface org.eclipse.xsd.XSDFacet
`getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, setAnnotation, setLexicalValue`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAnnotations

    EList<XSDAnnotation> getAnnotations()

  Returns the value of the 'Annotations' reference list. The list contents are of type `XSDAnnotation`.

  This represents the enumeration annotation, or pattern annotation infoset property. It is computed from the concrete `annotation content` and should typically not be modified directly.

  Returns:
    the value of the 'Annotations' reference list.
  See Also:
    `XSDPackage.getXSDRepeatableFacet_Annotations()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.